curl "https://app.runtm.com/api/v1/linear/user-connection" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
resp = requests.get(
"https://app.runtm.com/api/v1/linear/user-connection",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
print(resp.json())
const resp = await fetch(
"https://app.runtm.com/api/v1/linear/user-connection",
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
const data = await resp.json();
{
"connected": true,
"linear_user_id": "lin_usr_abc",
"linear_email": "[email protected]",
"linear_name": "Alice",
"workspace_id": "ws_xyz"
}
Linear
Get User Connection
Get the current user’s Linear identity link status.
GET
/
api
/
v1
/
linear
/
user-connection
curl "https://app.runtm.com/api/v1/linear/user-connection" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
resp = requests.get(
"https://app.runtm.com/api/v1/linear/user-connection",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
print(resp.json())
const resp = await fetch(
"https://app.runtm.com/api/v1/linear/user-connection",
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
const data = await resp.json();
{
"connected": true,
"linear_user_id": "lin_usr_abc",
"linear_email": "[email protected]",
"linear_name": "Alice",
"workspace_id": "ws_xyz"
}
Returns the per-user Linear connection status. This links a Runtime user to their Linear identity for attribution when Linear agent sessions are triggered.
Required scope:
integrations:read
Requires organization context via the
X-Organization-Id header.string
required
The organization context.
boolean
required
Whether the user has a Linear connection.
string
Linear user ID.
string
Linear email address.
string
Linear display name.
string
Linear workspace ID.
curl "https://app.runtm.com/api/v1/linear/user-connection" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
import requests
resp = requests.get(
"https://app.runtm.com/api/v1/linear/user-connection",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
)
print(resp.json())
const resp = await fetch(
"https://app.runtm.com/api/v1/linear/user-connection",
{
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": "org_abc123",
},
}
);
const data = await resp.json();
{
"connected": true,
"linear_user_id": "lin_usr_abc",
"linear_email": "[email protected]",
"linear_name": "Alice",
"workspace_id": "ws_xyz"
}